# -*- coding: utf-8 -*-
from setuphelpers import *
from setupdevhelpers import *


def update_package():
    # Declaring local variables
    package_updated = False
    proxies = get_proxies_from_wapt_console()
    if not proxies:
        proxies = get_proxies()
    download_dict = {
        "windows": " https://central.github.com/deployments/desktop/desktop/latest/win32?format=msi",
    }
    download_url = download_dict[ensure_list(control.target_os)[0]]
    latest_bin = "GitHubDesktopSetup-x64.msi"

    # Deleting binaries
    remove_outdated_binaries("*")

    # Downloading latest binaries
    print("Download URL is: %s" % download_url)
    if not isfile(latest_bin):
        print("Downloading: %s" % latest_bin)
        wget(download_url, latest_bin, proxies=proxies)
    else:
        print("Binary is present: %s" % latest_bin)

    latest_version=get_msi_properties(latest_bin)["ProductVersion"]

    # Updating the package
    control.set_software_version(latest_version)
    control.save_control_to_wapt()

    return package_updated